## wxTreeItemId

An opaque reference to a tree item.

Derived from

None

Include files

<wx/treebase.h>

See also

wxTreeCtrl, wxTreeItemData,
wxTreeCtrl overview

Members

wxTreeItemId::wxTreeItemId
wxTreeItemId::IsOk
Operators

### wxTreeItemId::wxTreeItemId

wxTreeItemId()

Default constructor. wxTreemItemIds are not meant to be constructed explicitly by the user; they are returned by the wxTreeCtrl functions instead.

### wxTreeItemId::IsOk

bool IsOk() const

Returns `true` if this instance is referencing a valid tree item.

### Operators

void operator !() const

Synonim for IsOk

bool operator ==(const wxTreeItemId& item) const

bool operator !=(const wxTreeItemId& item) const

Operators for comparison between wxTreeItemId objects.